Apache Tomcat 7.0.42

## org.apache.catalina.core
Class AsyncListenerWrapper

    java.lang.Object
      org.apache.catalina.core.AsyncListenerWrapper

    public class AsyncListenerWrapper

extends Object

TODO SERVLET3 - async

Author:
  fhanik

Constructor Summary
`AsyncListenerWrapper()`

Method Summary
`void` `fireOnComplete(AsyncEvent event)`
`void` `fireOnError(AsyncEvent event)`
`void` `fireOnStartAsync(AsyncEvent event)`
`void` `fireOnTimeout(AsyncEvent event)`
`AsyncListener` `getListener()`
`void` `setListener(AsyncListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncListenerWrapper

    public AsyncListenerWrapper()

Method Detail

### fireOnStartAsync

    public void fireOnStartAsync(AsyncEvent event)
                          throws IOException

  Throws:
    `IOException`

### fireOnComplete

    public void fireOnComplete(AsyncEvent event)
                        throws IOException

  Throws:
    `IOException`

### fireOnTimeout

    public void fireOnTimeout(AsyncEvent event)
                       throws IOException

  Throws:
    `IOException`

### fireOnError

    public void fireOnError(AsyncEvent event)
                     throws IOException

  Throws:
    `IOException`

### getListener

    public AsyncListener getListener()

### setListener

    public void setListener(AsyncListener listener)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.